Package org.apache.tools.ant.taskdefs

## Enum SetPermissions.NonPosixMode

- java.lang.Object
- - java.lang.Enum<SetPermissions.NonPosixMode>
  - - org.apache.tools.ant.taskdefs.SetPermissions.NonPosixMode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SetPermissions.NonPosixMode>`

Enclosing class:
  SetPermissions

    public static enum SetPermissions.NonPosixMode
    extends java.lang.Enum<SetPermissions.NonPosixMode>

Options for dealing with file systems that don't support POSIX permissions.

### Enum Constant Summary

Enum Constants
`fail` Fail the build.
`pass` Log an error and go on.
`tryDosOrFail` Try DosFilePermissions - setting the read-only flag - and fail the build if that fails as well.
`tryDosOrPass` Try DosFilePermissions - setting the read-only flag - and log an error and go on if that fails as well.

### Method Summary

All Methods Static Methods Concrete Methods
`static SetPermissions.NonPosixMode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SetPermissions.NonPosixMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### fail

    public static final SetPermissions.NonPosixMode fail

Fail the build.

#### pass

    public static final SetPermissions.NonPosixMode pass

Log an error and go on.

#### tryDosOrFail

    public static final SetPermissions.NonPosixMode tryDosOrFail

Try DosFilePermissions - setting the read-only flag - and fail the build if that fails as well.

#### tryDosOrPass

    public static final SetPermissions.NonPosixMode tryDosOrPass

Try DosFilePermissions - setting the read-only flag - and log an error and go on if that fails as well.

### Method Detail

#### values

    public static SetPermissions.NonPosixMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SetPermissions.NonPosixMode c : SetPermissions.NonPosixMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SetPermissions.NonPosixMode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null